#!/bin/sh
#
# 	Debian contribution by Uwe Heidrich <uweheidrich@hotmail.com>
#
#	UN-Install shell-script for Monitorix
#	Created by Uwe Heidrich <uweheidrich AT hotmail DOT com>
#

OS=`uname -s`

echo
echo "Welcome to Monitorix UN-Installation process."
echo
echo
echo "Last chance to stop the UN-Installation."
OK=0
while [ $OK -eq 0 ] ; do
echo -n "Are you sure to UN-Install Monitorix ? [y/n]: "
read sure
case $sure in
	[nN])
		echo
		echo "Aborting UN-Installation."
		exit 1
		;;

	[yY])
		echo
		echo "Starting UN-Installation."
		OK=1
		;;

	*)
		;;
esac
done

echo "Stopping a running Monitorix"
perl /usr/bin/monitorix.pl stop
echo

echo "Remove Init.rc script"
echo "Reinitalized"
update-rc.d -f monitorix remove
echo

echo "Remove cron.d script"
rm /etc/cron.d/monitorix
echo

echo "Remove init script"
rm /etc/init.d/monitorix
echo

echo "Remove configuration file"
rm /etc/monitorix.conf
echo

echo "Remove updater script"
rm /usr/bin/monitorix.pl
echo

echo "Remove reports files"
rm -r /usr/lib/monitorix
echo

echo "Remove documentation files"
rm -r /usr/share/doc/monitorix
echo

echo "Remove html files"
rm -r /var/www/monitorix
echo

echo "Backup rrd files"
mkdir /var/backups/monitorix
cp /var/lib/monitorix/*.rrd /var/backups/monitorix/
echo "Remove old rrds"
rm -r /var/lib/monitorix
echo


echo "Remove cgi-bin files"
rm /usr/lib/cgi-bin/monitorix.cgi
echo

echo
echo "---------------------------------------------------------------------"
echo
echo "UN-Installation succesfully finished."
echo
echo
exit 0
